Bug 110345 - ccm load should walk you through compulsory parameters when --interactive is provided
ccm load should walk you through compulsory parameters when --interactive is ...
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-18 12:51 EST by Daniel Berrange
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-11-18 12:51:42 EST
Description of problem:
When the 'ccm load' command is run with the --interactive parameter it
prompts the user for any compulsory parameters. The interaction with
the user, however, is far from optimal. Despite the fact that all
parameters are compulsory, the user has to explicitly choose & set
each param in turn. 

More common behaviour in these situations is for the program to take
the user through each required parameter in sequence. Only once all
have been set, is the opportunity given for users to have so called
'random access' to go back & set individual params. This removes the
user redundantly having to type in '1<cr>', '2<cr>', just to choose to
do something both they & the system know has to be done anyway. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
[arturo@staging01 aplaws-camden]$ ccm load-aplaws --file
/usr/share/ccm/aplaws.properties --bundle
/usr/share/ccm/aplaws-full.txt --interactive

   [1] Set JDBC connection URL: null
   [2] Set Server virtual host: null
   [3] Set Administrator Email Address: null
   [4] Set Administrator First Name: null
   [5] Set Administrator Last Name: null
   [6] Set Administrator Password: null
   [7] Set Administrator Password Question: null
   [8] Set Administrator Password Answer: null
   [9] Set Auth Administrator Email Address: null
  [10] Set Auth Administrator Identifier: null

   [l] List parameters   [o] Show optional parameters   [v] Validate
parameters
   [e] Exit   [r] Set required parameters   [A] Abort   [?] Help

Choose: 1
JDBC connection URL: jdbc:oracle:oci:aplaws_camden/aplaws_camden@ora9i
Choose: 2
Server virtual host: 194.202.210.43:9001
Choose: 3
Administrator Email Address: admin@example.com
Choose: 4
Administrator First Name: Admin
Choose: 5
Administrator Last Name: Account
Choose: 6 
Administrator Password: 123456
Choose: 7
Administrator Password Question: 12345
Choose: 8
Administrator Password Answer: 6
Choose: 9
Auth Administrator Email Address: admin@example.com
Choose: 10
Auth Administrator Identifier: admin//example
Choose:

Expected results:
Something like:

[arturo@staging01 aplaws-camden]$ ccm load-aplaws --file
/usr/share/ccm/aplaws.properties --bundle
/usr/share/ccm/aplaws-full.txt --interactive

Enter mandatory configuration parameters:

 At any time press  [A] Abort   [?] Help

1. Set JDBC connection URL. 
Value: jdbc:oracle:oci:aplaws_camden/aplaws_camden@ora9i
2. Set Server virtual host.
Value: 194.202.210.43:9001
3. Set Administrator Email Address
Value: admin@example.com
4. Set Administrator First Name.
Value: Admin
5. Set Administrator Last Name.
Value: Account
6. Set Administrator Password.
Value: 123456
7. Set Administrator Password Question.
Value: 12345
8. Set Administrator Password Answer.
Value: 6
9. Set Auth Administrator Email Address.
Value: admin@example.com
10. Set Auth Administrator Identifier.
Value: admin//example

Configuration summary:

   [1] JDBC connection URL:
          jdbc:oracle:oci:aplaws_camden/aplaws_camden@ora9i
   [2] Server virtual host: 194.202.210.43:9001
   [3] Administrator Email Address: admin@example.com
   [4] Administrator First Name: Admin
   [5] Administrator Last Name: Account
   [6] Administrator Password: 123456
   [7] Administrator Password Question: 123
   [8] Administrator Password Answer: 456
   [9] Auth Administrator Email Address: admin@example.com
  [10] Auth Administrator Identifier: admin//example

   [l] List parameters   [o] Show optional parameters   [v] Validate
parameters
   [c] Confirm   [r] Set required parameters   [A] Abort   [?] Help



Additional info:

During the initial run through of compulsory parameters, the should
automatically show the parameter help, default value & example.
Likewise, when choosing a parameter ocne in 'random access' mode, it
should display the param info.
Comment 1 Richard Li 2003-11-20 15:53:54 EST
Does the "r" option do what you want?
Comment 2 Daniel Berrange 2003-11-21 04:43:17 EST
Yes, it partially addresses the problem. To completely address it:

1. 'r' should be automatically invoked when launching the tool on an
un-configured instance - it is not clear in the slightest that 'r'
will walk you through the params.
2. It needs to show the help, default value & example value
information when prompting for each param, since there is no way to
get help until you have completed the sequence. 
3. It should display the number associated with each param
4. It should display the 'param key' so the admin can refer to the
Install Guide section if required.

We need better labels against the following prompts:

[o] Show optional parameters

This actually shows *all* parameters - both optional & required

[e] Exit

This is really 'save & continue' onto next step - ie DM load

[r] Set required parameters

Redundant if we automatically invoke it upon startup.
Comment 3 Daniel Berrange 2006-09-02 13:29:21 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.